

#include <avr/io.h>
#include "ee_mem.h"

//--------------------------------- 
void EEwrite(unsigned int address, char data)
{
	while(EECR & (1<<EEPE)); 		//Wait for completion of previous write
	EECR = 0;
	EEAR = address;				//Set up address and data registers
	EEDR = data;

	EECR |= (1<<EEMPE);				//Write logical one to EEMPE
	EECR |= (1<<EEPE);				//Start eeprom write by setting EEPE
}

//--------------------------------- 
char EEread(unsigned int address)
{
	while(EECR & (1<<EEPE));		//Wait for completion of previous write

	EEAR = address;				//Set up address register
	EECR |= (1<<EERE);				//Start eeprom read by writing EERE

	return EEDR;					//Return data from data register
}
